# Plot of the final model's AUC over distance classes
# 
# Author: Johannes Radinger
###############################################################################

##### LOAD BASICS (libs, dirs) ######
# Load libraries
library("ggplot2")
library(reshape2)

#Resultsdir
maindir <- "/path/to/data/Treene/SDM_Treene/SDM_BRT_Treene/"
results_dir <- paste(maindir,"Results/",sep="")
fish_dir <- "/path/to/data/Treene/Fish_Data/"

# Load AUC.df
AUC.df <- readRDS(paste(results_dir,"AUC_df.rds",sep=""))
head(AUC.df)
AUC.df.melt <- melt(AUC.df,measure.vars="AUC.validation",id.vars=c("distance","set.habitat","set.topology","species"))


##################### distance #########################
#boxplot
#par(fig=c(0,1,0,0.5),new=TRUE,xpd=TRUE)
pdf(paste(results_dir,"boxplot_distance.pdf",sep=""),width=5,height=4)
par(xpd=TRUE,mgp=c(2,1,0),mar=c(3,3,1,0.1))
boxplot(AUC.df.melt$value~AUC.df.melt$distance,
        names=c("0","200","1000","2500","4000"),
        ylab="Cross-validation AUC",
        xlab="Distance (m)",
        range=0,
        at=c(1,2,3,4,5))
 par(new=TRUE)
text(2,1.015,"n.s.")
text(3,1.015,"*")
text(4,1.015,"*")
text(5,1.015,"*")
dev.off()


#par(new=TRUE)
loess.smooth(c(rep(1,length(df.distance$"point")),rep(2,length(df.distance$"200")),
                 rep(3,length(df.distance$"1000")),
                 rep(4,length(df.distance$"2500")),
                 rep(5,length(df.distance$"4000"))),
             c(df.distance$"point",df.distance$"200",
                 df.distance$"1000",
                 df.distance$"2500",df.distance$"4000"),
               axis=FALSE)


               

